> For the complete documentation index, see [llms.txt](https://developer.flash-payments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.flash-payments.com/accounts/master-balance/statement.md).

# Statement

Understand every movement of your primary balance

This query returns the same data as the Download CSV button on the Account Statement page of the [Flash Connect](https://connect.uat.flash-payments.com.au/).

The dates must be any ISO 8601 formatted dates.

{% hint style="info" %}
If you want to see your latest data on the Account Statement output, please allow for about 60 seconds after the most recent transaction is recorded. This ensures the report is always in sync with the ledger and the [Master Balance](/accounts/master-balance.md).
{% endhint %}

{% tabs %}
{% tab title="JavaScript" %}

<pre class="language-javascript"><code class="lang-javascript">const bodyJSON = {
  variables: {
    input: {
        fromDate: "2023-08-28T00:00:00+03:00",
        currency: "USD",
    },
  },
  query: `
query ($input: StatementQueryInput!) {
  statement(input: $input) {
    succes code message fromDate toDate 
      rows {
        debit credit
    }
  }  
<strong>}`,
</strong>};
</code></pre>

{% endtab %}

{% tab title="GraphQL" %}

```graphql
query($input: StatementQueryInput!) {
  statement(input: $input) {
    success
    code
    message
    fromDate
    toDate
    rows {
      debit
      credit
      # and many other fields
    }
  }
}
```

{% endtab %}

{% tab title="Variables" %}

<pre class="language-javascript"><code class="lang-javascript">{
<strong>  "input": {
</strong>    "fromDate": "2023-08-28T00:00:00+03:00",
    "currency": "USD"
  }
}
</code></pre>

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "statement": [
      {
        "success": true,
        "code": "GENERATED",
        "message": "Statement generated",
        "fromDate": "2023-08-27T21:00:00Z",
        "toDate": "2023-08-28T21:00:00Z",
        "rows": {
          [
            {
              "debit": 123.45,
              "credit": 0
            }
          ]
        }
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

The response dates are aways UTC. Timezones are always taken into account.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.flash-payments.com/accounts/master-balance/statement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
